import h5py

class H5Dict(dict):
    def __init__(self, hdf5_file):
        super(H5Dict, self).__init__()
        f = h5py.File(hdf5_file, 'r')
        for k, v in f.items():
            self.setdefault(k, self.convert_value(v))

    @staticmethod
    def convert_value(v):
        try:
            return dict([(_k, H5Dict.convert_value(_v)) for _k, _v in v.items()])
        except:
            try:
                return v.value
            except:
                return v


h5dict = H5Dict('/mnt/9DWLabModels/MITSUI/saved_models/crown_implant/mitsui3d_y.hdf5')
print(h5dict)